[rhmessaging-commits] rhmessaging commits: r1331 - in store/trunk/cpp: tests and 1 other directory.

rhmessaging-commits at lists.jboss.org rhmessaging-commits at lists.jboss.org
Fri Nov 16 17:53:35 EST 2007


Author: kpvdr
Date: 2007-11-16 17:53:35 -0500 (Fri, 16 Nov 2007)
New Revision: 1331

Modified:
   store/trunk/cpp/lib/BdbMessageStore.cpp
   store/trunk/cpp/tests/system_test.sh
Log:
Re-enable valgrind failures causing test failure

Modified: store/trunk/cpp/lib/BdbMessageStore.cpp
===================================================================
--- store/trunk/cpp/lib/BdbMessageStore.cpp	2007-11-16 22:53:21 UTC (rev 1330)
+++ store/trunk/cpp/lib/BdbMessageStore.cpp	2007-11-16 22:53:35 UTC (rev 1331)
@@ -972,7 +972,7 @@
                         break;
                     case rhm::journal::RHM_IORES_FULL:
 // Temporary error msg till exception handler core problem solved...
-std::cerr << "Error storing message -- Journal full for queue " << queue->getName() << std::endl << std::flush;
+std::cerr << "Error storing message -- Journal full on queue \"" << queue->getName() << "\"" << std::endl << std::flush;
         		        THROW_STORE_FULL_EXCEPTION("Error storing message -- Journal full :" + queue->getName());
                         break;
                     default:

Modified: store/trunk/cpp/tests/system_test.sh
===================================================================
--- store/trunk/cpp/tests/system_test.sh	2007-11-16 22:53:21 UTC (rev 1330)
+++ store/trunk/cpp/tests/system_test.sh	2007-11-16 22:53:35 UTC (rev 1331)
@@ -77,7 +77,7 @@
         python "$abs_srcdir/persistence.py" -s "$xml_spec" -p $p -r 3 || fail=1
         sleep 1
         kill -SIGINT $pid || { echo process already died; cat qpid.log ; fail=1; }
-        wait $pid #temporarily disable failure until broker can shutdown cleanly|| fail=1
+        wait $pid || fail=1
 
         vg_check $log || fail=1
     done




More information about the rhmessaging-commits mailing list